package ru.yandex.webmaster3.storage.util.yt;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.HashMap;
import java.util.Map;

/**
 * @author avhaliullin
 */
public class YtMapIOSpec extends YtJobIOSpec {
    public YtMapIOSpec(long tableWriterMaxRowWeight) {
        super(tableWriterMaxRowWeight);
    }

    @JsonProperty("control_attributes")
    public Map<String, Object> getControlAttributes() {
        Map<String, Object> result = new HashMap<>();
        result.put("enable_row_index", true);
        return result;
    }
}
